/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package misclases;

import javax.swing.JOptionPane;

/**
 *
 * @author Tec. Móvil
 */
public class jintCotizacion extends javax.swing.JInternalFrame {

    /**
     * Creates new form jintCotizacion
     */
    public jintCotizacion() {
        initComponents();
        this.deshabilitar();
    }
    
    
    public void deshabilitar(){
        
        this.txtDescripcion.setEnabled(false);
        this.txtNumero.setEnabled(false);
        this.txtPago.setEnabled(false);
        this.txtPagoMensual.setEnabled(false);
        this.txtPorcentaje.setEnabled(false);
        this.txtPrecio.setEnabled(false);
        this.txtPagoFinanciar.setEnabled(false);
        
        //Botones
        this.btnMostrar.setEnabled(false);
        this.btnGuardar.setEnabled(false);
        
        
    }
    
    public void habilitar(){
        this.txtDescripcion.setEnabled(!false);
        this.txtNumero.setEnabled(!false);
        this.txtPorcentaje.setEnabled(!false);
        this.txtPrecio.setEnabled(!false);
        this.btnGuardar.setEnabled(true);
    }
    
    public void limpiar(){
        //limpiar txtField
        
        this.txtDescripcion.setText("");
        this.txtNumero.setText("");
        this.txtPago.setText("");
        this.txtPagoMensual.setText("");
        this.txtPrecio.setText("");
        this.txtPagoFinanciar.setText("");
        this.txtPorcentaje.setText("");
        
        //poner en la primera posicion al combobox
        this.cmbPlazo.setSelectedIndex(0);
        
        // poner el cursor en el numCotizacion
        this.txtNumero.requestFocus();
    }
   
    

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jLabel1 = new javax.swing.JLabel();
        jLabel2 = new javax.swing.JLabel();
        jLabel3 = new javax.swing.JLabel();
        jLabel5 = new javax.swing.JLabel();
        txtNumero = new javax.swing.JTextField();
        txtDescripcion = new javax.swing.JTextField();
        txtPrecio = new javax.swing.JTextField();
        txtPorcentaje = new javax.swing.JTextField();
        cmbPlazo = new javax.swing.JComboBox<>();
        btnMostrar = new javax.swing.JButton();
        btnGuardar = new javax.swing.JButton();
        btnNuevo = new javax.swing.JButton();
        jPanel1 = new javax.swing.JPanel();
        jLabel4 = new javax.swing.JLabel();
        jLabel7 = new javax.swing.JLabel();
        jLabel8 = new javax.swing.JLabel();
        txtPago = new javax.swing.JTextField();
        txtPagoFinanciar = new javax.swing.JTextField();
        txtPagoMensual = new javax.swing.JTextField();
        btnLimpiar = new javax.swing.JButton();
        btnCancelar = new javax.swing.JButton();
        btnCerrar = new javax.swing.JButton();
        jLabel6 = new javax.swing.JLabel();

        setBackground(new java.awt.Color(153, 51, 255));
        setClosable(true);
        setIconifiable(true);
        setMaximizable(true);
        setResizable(true);
        setTitle("Cotizacion");
        getContentPane().setLayout(null);

        jLabel1.setFont(new java.awt.Font("Tahoma", 0, 18)); // NOI18N
        jLabel1.setForeground(new java.awt.Color(255, 255, 0));
        jLabel1.setText("Descripción del Automovil:");
        getContentPane().add(jLabel1);
        jLabel1.setBounds(50, 110, 209, 22);

        jLabel2.setFont(new java.awt.Font("Tahoma", 0, 18)); // NOI18N
        jLabel2.setForeground(new java.awt.Color(255, 255, 0));
        jLabel2.setText("Numero de Cotizacion:");
        getContentPane().add(jLabel2);
        jLabel2.setBounds(73, 69, 179, 22);

        jLabel3.setFont(new java.awt.Font("Tahoma", 0, 18)); // NOI18N
        jLabel3.setForeground(new java.awt.Color(255, 255, 0));
        jLabel3.setText("Precio:");
        getContentPane().add(jLabel3);
        jLabel3.setBounds(200, 150, 53, 22);

        jLabel5.setFont(new java.awt.Font("Tahoma", 0, 18)); // NOI18N
        jLabel5.setForeground(new java.awt.Color(255, 255, 0));
        jLabel5.setText("Porcentaje de pago Inicial:");
        getContentPane().add(jLabel5);
        jLabel5.setBounds(50, 190, 210, 22);

        txtNumero.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                txtNumeroActionPerformed(evt);
            }
        });
        getContentPane().add(txtNumero);
        txtNumero.setBounds(270, 73, 94, 30);
        getContentPane().add(txtDescripcion);
        txtDescripcion.setBounds(270, 110, 181, 30);
        getContentPane().add(txtPrecio);
        txtPrecio.setBounds(271, 145, 95, 30);
        getContentPane().add(txtPorcentaje);
        txtPorcentaje.setBounds(271, 188, 95, 30);

        cmbPlazo.setModel(new javax.swing.DefaultComboBoxModel<>(new String[] { "12 Meses", "24 Meses", "36 Meses", "48 Meses", "60 Meses" }));
        getContentPane().add(cmbPlazo);
        cmbPlazo.setBounds(270, 230, 70, 20);

        btnMostrar.setBackground(new java.awt.Color(204, 204, 204));
        btnMostrar.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        btnMostrar.setText("Mostrar");
        btnMostrar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnMostrarActionPerformed(evt);
            }
        });
        getContentPane().add(btnMostrar);
        btnMostrar.setBounds(539, 167, 81, 64);

        btnGuardar.setBackground(new java.awt.Color(204, 204, 204));
        btnGuardar.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        btnGuardar.setText("Guardar");
        btnGuardar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnGuardarActionPerformed(evt);
            }
        });
        getContentPane().add(btnGuardar);
        btnGuardar.setBounds(539, 92, 81, 64);

        btnNuevo.setBackground(new java.awt.Color(204, 204, 204));
        btnNuevo.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        btnNuevo.setText("Nuevo");
        btnNuevo.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnNuevoActionPerformed(evt);
            }
        });
        getContentPane().add(btnNuevo);
        btnNuevo.setBounds(539, 17, 81, 64);

        jPanel1.setBorder(javax.swing.BorderFactory.createTitledBorder(null, "Calculos de la Cotizacion", javax.swing.border.TitledBorder.CENTER, javax.swing.border.TitledBorder.DEFAULT_POSITION, new java.awt.Font("Tahoma", 0, 14))); // NOI18N
        jPanel1.setLayout(null);

        jLabel4.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jLabel4.setText("Pago Inicial:");
        jPanel1.add(jLabel4);
        jLabel4.setBounds(60, 40, 80, 17);

        jLabel7.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jLabel7.setText("Pago Mensual:");
        jPanel1.add(jLabel7);
        jLabel7.setBounds(49, 104, 88, 17);

        jLabel8.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jLabel8.setText("Total a Financiar:");
        jPanel1.add(jLabel8);
        jLabel8.setBounds(34, 73, 103, 17);

        txtPago.setFont(new java.awt.Font("Tahoma", 0, 10)); // NOI18N
        jPanel1.add(txtPago);
        txtPago.setBounds(170, 40, 75, 20);

        txtPagoFinanciar.setFont(new java.awt.Font("Tahoma", 0, 10)); // NOI18N
        jPanel1.add(txtPagoFinanciar);
        txtPagoFinanciar.setBounds(171, 73, 75, 19);

        txtPagoMensual.setFont(new java.awt.Font("Tahoma", 0, 10)); // NOI18N
        jPanel1.add(txtPagoMensual);
        txtPagoMensual.setBounds(171, 104, 75, 19);

        getContentPane().add(jPanel1);
        jPanel1.setBounds(40, 270, 570, 180);

        btnLimpiar.setText("Limpiar");
        btnLimpiar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnLimpiarActionPerformed(evt);
            }
        });
        getContentPane().add(btnLimpiar);
        btnLimpiar.setBounds(83, 461, 80, 23);

        btnCancelar.setText("Cancelar");
        btnCancelar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnCancelarActionPerformed(evt);
            }
        });
        getContentPane().add(btnCancelar);
        btnCancelar.setBounds(304, 461, 75, 23);

        btnCerrar.setText("Cerrar");
        btnCerrar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnCerrarActionPerformed(evt);
            }
        });
        getContentPane().add(btnCerrar);
        btnCerrar.setBounds(526, 461, 63, 23);

        jLabel6.setFont(new java.awt.Font("Tahoma", 0, 18)); // NOI18N
        jLabel6.setForeground(new java.awt.Color(255, 255, 0));
        jLabel6.setText("Plazo:");
        getContentPane().add(jLabel6);
        jLabel6.setBounds(210, 230, 47, 22);

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void btnMostrarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnMostrarActionPerformed
        // TODO add your handling code here:
        
        //mostrar la informacion del objeto en la interface
        
        this.txtNumero.setText(String.valueOf(con.getNumCotizacion()));
        this.txtDescripcion.setText(con.getDescripcionAutomovil());
        this.txtPorcentaje.setText(String.valueOf(con.getPorcentajePagoInicial()));
        this.txtPrecio.setText(String.valueOf(con.getPrecio()));
        
        //plazo
        int plazo = con.getPlazo();
        switch(plazo){
            case 12:
                this.cmbPlazo.setSelectedIndex(0); break;
            case 24:
                this.cmbPlazo.setSelectedIndex(1); break;
            case 36:
                this.cmbPlazo.setSelectedIndex(2); break;
            case 48:
                this.cmbPlazo.setSelectedIndex(3); break;
            case 60:
                this.cmbPlazo.setSelectedIndex(4); break;
        }
        
        //mostrar los resultados
        this.txtPago.setText(String.valueOf(con.calcularPagoInicial()));
        this.txtPagoMensual.setText(String.valueOf(con.calcularPagoMensual()));
        this.txtPagoFinanciar.setText(String.valueOf(con.calcularTotalFinancial()));
        
            
            
            
    }//GEN-LAST:event_btnMostrarActionPerformed

    private void btnGuardarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnGuardarActionPerformed
        // TODO add your handling code here:
        //hacr una validacion
        boolean exito = false;
            if(this.txtNumero.getText().equals(""))exito = true;
            if(this.txtDescripcion.getText().equals(""))exito = true;
            if(this.txtPorcentaje.getText().equals(""))exito = true;
            if(this.txtPrecio.getText().equals(""))exito = true;
            
        if(exito == true){
            //falto Informacion
            
            JOptionPane.showMessageDialog(this, "Falto capturar informacion");            
        }
        else{
            //todo correcto
            
            con.setNumCotizacion(Integer.parseInt(this.txtNumero.getText()));
            con.setDescripcionAutomovil(this.txtDescripcion.getText());
            
            int plazo = this.cmbPlazo.getSelectedIndex();
            switch(plazo){
                case 0: con.setPlazo(12);break;
                case 1: con.setPlazo(24);break;
                case 2: con.setPlazo(36);break;
                case 3: con.setPlazo(48);break;
                case 4: con.setPlazo(60);break;
            }
            
            con.setPorcentajePagoInicial(Float.parseFloat(this.txtPorcentaje.getText()));
            con.setPrecio(Float.parseFloat(this.txtPrecio.getText()));
            
            JOptionPane.showMessageDialog(this, "Se aguardo con exito la informacion");
            this.btnMostrar.setEnabled(true);
        }
    }//GEN-LAST:event_btnGuardarActionPerformed

    private void btnNuevoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnNuevoActionPerformed
        // TODO add your handling code here:
        con = new Cotizacion();
        this.habilitar();
    }//GEN-LAST:event_btnNuevoActionPerformed

    private void txtNumeroActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_txtNumeroActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_txtNumeroActionPerformed

    private void btnCerrarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnCerrarActionPerformed
        // TODO add your handling code here:
        int opcion = 0;
        
        opcion = JOptionPane.showConfirmDialog(this, "Deseas Salir?", "Cotizacion", JOptionPane.YES_NO_OPTION);
        if(opcion == JOptionPane.YES_OPTION){
            this.dispose();
        }
        
    }//GEN-LAST:event_btnCerrarActionPerformed

    private void btnLimpiarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnLimpiarActionPerformed
        // TODO add your handling code here:
        this.limpiar();
    }//GEN-LAST:event_btnLimpiarActionPerformed

    private void btnCancelarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnCancelarActionPerformed
        // TODO add your handling code here:
        this.limpiar();
        this.deshabilitar();
    }//GEN-LAST:event_btnCancelarActionPerformed


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnCancelar;
    private javax.swing.JButton btnCerrar;
    private javax.swing.JButton btnGuardar;
    private javax.swing.JButton btnLimpiar;
    private javax.swing.JButton btnMostrar;
    private javax.swing.JButton btnNuevo;
    private javax.swing.JComboBox<String> cmbPlazo;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JTextField txtDescripcion;
    private javax.swing.JTextField txtNumero;
    private javax.swing.JTextField txtPago;
    private javax.swing.JTextField txtPagoFinanciar;
    private javax.swing.JTextField txtPagoMensual;
    private javax.swing.JTextField txtPorcentaje;
    private javax.swing.JTextField txtPrecio;
    // End of variables declaration//GEN-END:variables

private Cotizacion con;


}



